@import url(https://fonts.googleapis.com/earlyaccess/notosanstc.css);

html,body{
  font-family: "Noto Sans TC","Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size: 16px;
  height: 100%;
}

a:hover, a:focus {
  text-decoration: none;
}

.txt-18 {
  font-size:18px;
  color: #72887F;
}

.main-bg {
  /*background: url(../../assets/img/body-bg.png);*/
  background: #f2f2f2;
}

/**** NAV START ****/
.navbar-default {
  background-image: -webkit-linear-gradient(top, #20ad65 0%, #17c37b 100%);
  background-image:      -o-linear-gradient(top, #20ad65 0%, #17c37b 100%);
  background-image: -webkit-gradient(linear, left top, left bottom, from(#20ad65), to(#17c37b));
  background-image:         linear-gradient(to bottom, #20ad65 0%, #17c37b 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#20ad65', endColorstr='#17c37b', GradientType=0);
  filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
  background-repeat: repeat-x;
  border-radius: 0;
  -webkit-box-shadow: inset 0 1px 0 rgba(255, 255, 255, .15), 0 1px 5px rgba(0, 0, 0, .075);
          box-shadow: inset 0 1px 0 rgba(255, 255, 255, .15), 0 1px 5px rgba(0, 0, 0, .075);
  margin-bottom: 0;
}

.navbar-left, .navbar-right {
  display: block; 
  width: 17%;
  height: 48px;
  line-height: 48px;
}
.navbar-left {
  text-align: left;
  padding-left: 7px;
}
.navbar-right {
  text-align: right;
  padding-right: 7px;
}
.navbar-left a, .navbar-right a {
  font-size: 28px;
  color: #fff;
}
/*.navbar-right .btn-sm {
  padding: 0 5px;
}*/
.navbar-title {
  display: block;
  width: 66%;
  height: 48px;
  line-height: 48px;
  font-family: 'Noto Sans TC', sans-serif;
  font-weight: 400;
  font-size: 22px;
  text-transform: uppercase;
  letter-spacing: 2px;
  color: #fff;
  text-align: center;
}

/**** NAV END ****/

/**** 覆寫BOOTSTRAT CSS設定 ****/
.panel {
  width: 95%;
  margin: 10px auto 5px auto;
  border-radius: 0;
}

/*.panel-default > .panel-heading {
  font-family: 'Noto Sans TC', sans-serif;
  font-size: 18px;
  font-weight: bold;
  background-image: -webkit-linear-gradient(top, #20ad65 0%, #17c37b 100%);
  background-image:      -o-linear-gradient(top, #20ad65 0%, #17c37b 100%);
  background-image: -webkit-gradient(linear, left top, left bottom, from(#20ad65), to(#17c37b));
  background-image:         linear-gradient(to bottom, #20ad65 0%, #17c37b 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#20ad65', endColorstr='#17c37b', GradientType=0);
  filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
  background-repeat: repeat-x;
  border-radius: 0;
  -webkit-box-shadow: inset 0 1px 0 rgba(255, 255, 255, .15), 0 1px 5px rgba(0, 0, 0, .075);
          box-shadow: inset 0 1px 0 rgba(255, 255, 255, .15), 0 1px 5px rgba(0, 0, 0, .075);
  margin-bottom: 0;
}*/

.panel-default > .panel-heading {
  background: rgba(23,195,123,0.6);
  padding: 6px 15px;
}

/*.panel-title {
  font-size: 18px;
}*/

.form-control {
  font-size: 16px;
  height: 38px;
  line-height: 38px;
}

.input-group-btn > .btn {
  height: 38px;
}

.btn-sm {
  padding:0;
  font-size: 1em;
}
/*.btn-primary {
  background: #20ad65;
  border-color: #20ad65;
}*/

.btn-full {
  width:100%; 
  height:50px; 
  line-height:50px;
  background: #ABB1B1;
  border-color: #ABB1B1;
  border-radius: 3px;
  color: #fff;
  font-size: 18px;
  padding: 0;
}


/**** 覆寫BOOTSTRAT CSS設定 ****/

/*panel列表右側icon*/
.panel-heading .accordion-toggle:after {
  /* symbol for "opening" panels */
  font-family: 'fontello';  /* essential for enabling glyphicon */
  content: "\f13a";    /* adjust as needed, taken from bootstrap.css */
  float: right;        /* adjust as needed */
  color: #72887F;         /* adjust as needed */
}
.panel-heading .accordion-toggle.collapsed:after {
  /* symbol for "collapsed" panels */
  content: "\f138";    /* adjust as needed, taken from bootstrap.css */
}

/*.Design-by{
    position: absolute;
    left: 0;
    bottom: 0;
    padding: 10px;
  width: 100%;
  text-align: center;
    color: #000;
    background-color: rgba(255, 255, 255, 0.1);
    
}*/

/**** 側邊選單 ****/

/*left*/  
  .side-collapse-container-left{
    position:relative;
    left:0;
    transition:left .4s;
  }
  .side-collapse-container-left.out{
    left:70%;
  }
  .side-collapse-left {
    top:48px;
    bottom:0;
    left:0;
    width:70%;
    position:fixed;
    overflow:hidden;
    transition:width .4s;
  }
  .side-collapse-left.in {
    width:0;
  }

  /*right*/    
  .side-collapse-container-right{
    position:relative;
    right:0;
    transition:right .4s;
  }
  .side-collapse-container-right.out{
    right:70%;
  }
  .side-collapse-right {
    top:48px;
    bottom:0;
    right:0;
    width:70%;
    position:fixed;
    overflow:hidden;
    transition:width .4s;
    z-index: 999;
  }
  .side-collapse-right.in {
    width:0;
  }

  .c-offcanvas {
    left: 0;
    padding: 1rem;
    overflow-y: scroll;
  }

  .js-offcanvas a {
    color: #337ab7;
    outline: 0;
  }

  .navbar {
    margin-bottom:0px;
  }
  /* remove background colors  */
  .navbar-default, .navbar-default .navbar-nav>.active>a, .navbar-default .navbar-nav>.active>a:focus, .navbar-default .navbar-nav>.active>a:hover, .navbar-default .navbar-nav>li>a, .navbar-default .navbar-brand, .navbar-default .navbar-brand:focus, .navbar-default .navbar-brand:hover {
    background-color: transparent;
    border-color: transparent;
    color:#fff;
    outline: 0;
  }

  @media (min-width: 768px){
    .navbar-header {
      float: none; 
    } 
  }

/**** 側邊選單 END ****/
  
/**** 登入者資訊 ****/
  .login-info {
    width: 95%;
    margin: 10px auto 0 auto;
    padding: 5px 10px;
    background-color: #fff;
    border: 1px solid transparent;
    border-color: #ddd;
    border-radius: 0;
    -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
    box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
  }

  .login-info:after {
    clear: both;
    display: table;
    content: " ";
  }

  .login-info-L {
    width: 50px;
    height: 50px;
  }

  .login-info-L img {
    width: 50px;
    height: 50px;
    padding: 2px;
    border: 1px #ccc solid;
  }

  .login-info-M {
    height: 50px;
    border-left: 1px rgba(0,0,0,0.1) solid;
    padding-left: 5px;
    margin-left: 5px;
    letter-spacing: 0px;
  }

  .login-info-M p {
    font-family: 'Noto Sans TC', sans-serif;
    margin: 0;
    padding: 0;
  }

  .login-info-M .proName {
    font-size: 16px;
  }

  .login-info-M .proDept {
    font-size: 14px;
    color: #ccc;
  }

  .login-info-R {
    margin-top: 10px;
    text-align: center;
    letter-spacing: 0px;
  }

  .login-info-R .btn-sm {
    padding: 0 5px;
  }
/**** 登入者資訊 END ****/  

/**** 主頁 客戶列表 ****/
  .panel-btn {
    display: inline-block;
  }

  .panel-btn .btn-sm {
    padding: 0 5px;
  }

  .cu-panel {
    display: inline-block;
    vertical-align: middle;
    width: 100%
  }
  .cu-panel-title{
    display: inline-block;
    vertical-align: middle;
    font-size: 18px;
    color: #72887F;
  }

  .panel-btn a, .panel-btn button {
    font-size: 18px;
    color: #72887F;
  }

  .cu-panel-body {
    height: 350px;
    max-height: 350px;
    overflow: auto;
  }

  .cu-dataTable {
    width: 100%;
    font-size: 16px;
  }

  .cu-dataTable thead tr, .cu-dataTable tbody tr {
    height: 30px;
  }
  
  .cu-dataTable thead tr {
    background: rgba(184,188,243,0.5);
  }

  .cu-dataTable thead tr th:nth-child(1) {
    width: 70%;
    text-align: center;
    border-bottom: 1px #fff solid;
  }

  .cu-dataTable thead tr th:nth-child(2) {
    width: 30%;
    text-align: center;
    border-left: 1px #fff solid;
    border-bottom: 1px #fff solid;
  }

  .cu-dataTable tbody tr {
    height: 30px;
  }

  .cu-dataTable tbody tr:nth-child(even){
    background: rgba(184,188,243,0.2);
    border-top: 1px #ccc solid;
    border-bottom: 1px #ccc solid;
  }

  .cu-dataTable tbody tr td {
    padding: 10px;
    
  }
  
  .cu-dataTable tbody tr td:nth-child(1) {
    width: 68%;
  }

  .cu-dataTable tbody tr td:nth-child(2) {
    width: 32%;
    text-align: center;
  }

  .cu-dataTable .btn-sm {
    padding: 0 5px;
  }
  
  .mgr-5 {
    margin-right: 5px;
  }

  .mgr-12 {
    margin-right: 12px;
  }

/**** 主頁 客戶列表 END ****/

  .input-list {
    list-style-type: none;
    margin: 0;
    padding: 0;
    width: 100%;
    letter-spacing: -4px;/*根据不同字体字号或许需要做一定的调整*/ 
    word-spacing: -4px; 
    font-size: 0;
  }
  .input-list li.chk {
    display: inline-block;
    font-size: 16px;
    letter-spacing: normal; 
    word-spacing: normal;
    padding: 1% 5% 1% 0;
    min-width: 34%;
  }

  .input-list li.txt {
    display: inline-block;
    font-size: 16px;
    letter-spacing: normal; 
    word-spacing: normal;
    width: 100%;
    padding: 1% 0;
  }

  .input-list li.txt input[type="text"]{
    display: inline-block;
    width:94%;
  }

  .input-list li.txt label{
    display: inline-block;
    width:6%;
  }

  .input-list li.chk input[type="checkbox"]{
    vertical-align:-3px;
  }


  .cu-page-title {
    display: block;
    padding: 5px;
    font-family: 'Noto Sans TC', sans-serif;
    font-size: 18px;
    /*height: 30px;*/
    /*line-height: 30px;*/
  }

  .cu-page-title h3 {
    margin: 0;
    font-size: 18px;
  }

  .cu-page-title p {
    margin: 0;
    font-size: 16px;
  }

  /**** 垂直表格 ****/
  .vtable {
  width: 100%;
  border-collapse: collapse;
  margin: 0 auto;
}

.vtable, .vtable thead, .vtable tbody, .vtable th, .vtable td, .vtable tr { 
    display: block;
    font-family: 'Noto Sans TC', sans-serif;
    font-size: 16px;
  }

.vtable tr { 
  border: 1px solid #ccc; 
  margin-bottom: 10px; 
}

.vtable td {
  color: #666666;
  border: #ddd 1px solid;
  /* Behave  like a "row" */
  border: none ;
  border-bottom: 1px solid #eee; 
  position: relative;
  white-space: normal;
  text-align:left;
  background: #d6d4c7; /*rgba(195,231,250,0.5);*/
}

.vtable td:before { 
  /* Now like a table header */
  position: absolute;
  /* Top/left values mimic padding */
  top: 6px;
  left: 6px;
  width: 30%; 
  white-space: nowrap;
  text-align:left;
  font-weight: bold;
  color: #1a1a1a;
}
  
.mtb-th {
  display:-moz-inline-box; /* css注释：for ff2 */ 
  display:inline-block; 
  height: 30px;
  line-height: 30px;
  padding: 0 5px;
  margin-right: 5px;
  background: #333;
  color:#fff;
}

/**** 垂直表格end ****/

.list-group-item a {
  display: inline-block;
  width: 100%;
  color: #000;
}
.list-group-item a .badge {
    float: right;
    background: none;
    color: #000;
    font-size: 16px;
}
/**** list-group themes****/
.list-group {

}
.themes-cu {
  margin-top: 10px;
}
.list-group-item {
  background: rgba(184,188,243,0.2);
}



/**** 頁面上方資訊塊 ****/
.pageInfo {
  width: 95%;
  margin: 10px auto 0 auto;
  
  /*background: #ccc;*/
  font-size: 16px;
  color: #ABB1B1;
}
/*.pageInfo:after {
  clear: both;
  display: table;
  content: " ";
}*/
.pageInfo h3 {
  margin:0 0 5px 0;
  text-align: center;
  font-size: 18px;
  border:1px #ccc solid;
  border-radius: 50px;
  background: rgba(23,195,123,0.6);
  padding:5px;
  font-size: 18px;
  color:#fff;
}
.pageInfo p {
  padding-left: 10px;
  margin-bottom: 5px;
}

.pageBg {
  background: rgba(184,188,243,0.2) !important;
}
